//===========================================================================
//任务名称：task_main
//功能概要：MQX自启动任务，主要实现全局变量初始化、创建其他任务、安装用户ISR
//版权所有：苏州大学飞思卡尔嵌入式中心(sumcu.suda.edu.cn)
//版本更新：2014-7-12  V2.0
//===========================================================================
#include "app_inc.h" 

void task_main(uint32_t initial_data)
{
    //1.全局变量初始化
    _lwevent_create(&lwevent_group,0);  //创建轻量级事件组
    _lwmsgq_init((pointer)send_queue, NUM_MESSAGES, MSG_SIZE);

    //2.外设初始化
    //(1)打开串口4中断
    fopen("ittye:",IO_SERIAL_RAW_IO); 
    //(2)LED初始化
    light_init(Light_D1,LIGHT_OFF);      //灯1初始化
    light_init(Light_D2,LIGHT_OFF);      //灯2初始化
    light_init(Light_D3,LIGHT_OFF);      //灯3初始化
    light_init(Light_D4,LIGHT_OFF);      //灯4初始化
   
    //3.创建其他任务
	_task_create(0, TASK_DECODE, 0);   //创建解帧任务task_decode
	_task_create(0, TASK_LED, 0);      //创建LED任务task_LED
	_task_create(0, TASK_UART, 0);     //创建UART任务task_UART	
	_task_create(0, TASK_ADC, 0);      //创建ADC任务task_ADC
	_task_create(0, TASK_RTC, 0);      //创建RTC任务task_RTC
    _task_create(0, TASK_FLASH, 0);    //创建FLASH任务task_FLASH
  
    //4.安装用户ISR
    _int_install_isr(INT_UART4_RX_TX, UART4_RX_ISR,NULL); //串口4的ISR
         
    //------------执行完上述工作后，本任务进入阻塞态-----------------------------------
    _task_block();                    
}
